<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvButton - Nuiverse UI</title>
<link rel="stylesheet" href="/build/nuiverse-ui.css">
<script type="module" src="/build/nuiverse-ui.esm.js"></script>
<script nomodule src="/build/nuiverse-ui.js"></script>
<link href="https://cdn.jsdelivr.net/npm/@nuiverse/icons@latest/nv-icons.css" rel="stylesheet">
</head>
<body>
  <div class="demo-component">

    <div class="area-component">
      <h1>Button</h1>
      <h3>Default</h3>
      <nv-button>Default</nv-button>
      <nv-button primary>Primary</nv-button>
    </div>

    <div class="area-component">
      <h3>Dropdown</h3>
      <nv-button circle>
        <nv-icon>more-vet</nv-icon>
        
        <nv-button slot="details">Option 1</nv-button>
        <nv-button slot="details">Option 2</nv-button>
        <nv-button slot="details">Option 3</nv-button>
      </nv-button>
    </div>

    <div class="area-component" style="margin-top: 200px">
      <h3>Border</h3>
      <nv-button outline>Default</nv-button>
    </div>
    
    <div class="area-component">
      <h3>Size</h3>
      <nv-button size="small">Small</nv-button>
      <nv-button>Default</nv-button>
      <nv-button size="large">Large</nv-button>
    </div>

    <div class="area-component">
      <h3>Circle</h3>
      <nv-button circle size="small"><nv-icon>add</nv-icon></nv-button>
      <nv-button circle><nv-icon>add</nv-icon></nv-button>
      <nv-button circle size="large">Default</nv-button>
    </div>

    <div class="area-component">
      <h3>Block</h3>
      <nv-button rounded block>Default</nv-button>
      <nv-button block>Default</nv-button>
    </div>

    <div class="area-component">
      <h3>Text</h3>
      <nv-button text>Default</nv-button>
    </div>

    <div class="area-component">
      <h3>Disabled</h3>
      <nv-button disabled text>Default</nv-button>
      <nv-button disabled>Default</nv-button>
      <nv-button disabled primary>Default</nv-button>
    </div>

    <div class="area-component">
      <h3>Icons</h3>
      <nv-button>
        <nv-icon slot="start">add</nv-icon>
        Default
      </nv-button>
      <nv-button>
        <nv-icon slot="end">add</nv-icon>
        Default
      </nv-button>
    </div>
  </div>
</body>
</html>
 